#!/usr/bin/env python
# coding=utf-8

import unittest
from cgapasswordchecker import PasswordChecker, UserNotExists, PasswordIncorrect, NotAllowed


class TestPasswordChecker(unittest.TestCase):
    def testPasswordOk(self):
        """ Prueba que la clave del usuario es correcta """

        c = PasswordChecker()
        self.assertTrue(c.check('usuario', 'usuario'))

    def testNotAllowed(self):
        c = PasswordChecker()
        with self.assertRaises(NotAllowed):
            c.check('root', 'perdonporelretraso')

    def testPasswordKo(self):
        """ Prueba que la clave del usuario es incorrecta """

        c = PasswordChecker()
        with self.assertRaises(PasswordIncorrect):
            c.check('usuario', 'perdonporelretraso')

    def testNotExists(self):
        """ Prueba que el usuario introducido no existe """

        c = PasswordChecker()
        with self.assertRaises(UserNotExists):
            c.check('darthvader', 'yourempireneedsyou')

def main():
    unittest.main()

if __name__ == '__main__':
    main()
